
package com.jeelowcode.framework.plus.core.model;

import com.jeelowcode.framework.utils.enums.JeeLowCodeFieldTypeEnum;

/**
 * 创建表-字段
 */
public class TableFieldModel {
    String fieldCode;
    JeeLowCodeFieldTypeEnum fieldType;//字段类型
    String defaultValSql;

    public String getFieldCode() {
        return fieldCode;
    }

    public void setFieldCode(String fieldCode) {
        this.fieldCode = fieldCode;
    }

    public JeeLowCodeFieldTypeEnum getFieldType() {
        return fieldType;
    }

    public void setFieldType(JeeLowCodeFieldTypeEnum fieldType) {
        this.fieldType = fieldType;
    }

    public String getDefaultValSql() {
        return defaultValSql;
    }

    public void setDefaultValSql(String defaultValSql) {
        this.defaultValSql = defaultValSql;
    }
}
